/*
    Copyright (C) 2005-2008  Erik van Pienbroek

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _NNTPGRAB_AUTOMATION_H_
#define _NNTPGRAB_AUTOMATION_H_

#include <glib.h>

#ifdef NNTPGRAB_NETWORKED
#include "nntpgrab_glue.h"
#else
#include "nntpgrab.h"
#endif

#include "nntpgrab_utils.h"

void        nntpgrab_automation_import_nzb_file(NNTPGrabCore *core, NZB *nzbfile, const char *collection_name, char **warnings);

gboolean    nntpgrab_automation_enable_auto_import(NNTPGrabCore *core, const char *directory, char **errmsg);
void        nntpgrab_automation_disable_auto_import(void);

#endif /* _NNTPGRAB_AUTOMATION_H_ */

