/*
    Copyright (C) 2005-2008  Erik van Pienbroek

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _NNTPGRAB_GLUE_H_
#define _NNTPGRAB_GLUE_H_

#include "nntpgrab.h"

NNTPGrabCore *nntpgrab_networked_init(void);
void nntpgrab_networked_cleanup(NNTPGrabCore *obj);

gboolean nntpgrab_networked_connect(NNTPGrabCore *obj, const char *hostname, int port, const char *username, const char *password, gboolean use_ssl, char **err);
gboolean nntpgrab_networked_get_is_connected(NNTPGrabCore *obj);

#endif /* _NNTPGRAB_GLUE_H_ */

